Conviva API Metrics

The Metrics V3 API identifies each metric by a kebab-case name in the URL path, and this reference lists every metric name available for single-metric and custom-selection requests.

Updated 2026-08-06 metrics

Metrics

A metric is specified in the URL path, and metric names are in kebab-case format.

Format

Copy
GET /3.0/metrics/{metric_name}

where metric_name can be the name of a singular metric or custom-selection.

Examples:

  • GET /3.0/metrics/plays
  • GET /3.0/metrics/attempts

The following singular metrics are available. Where a metric has a corresponding Pulse display name, it is shown in parentheses.

  • abandonment
  • abandonment-with-pre-roll
  • abandonment-without-pre-roll
  • ad-actual-duration
  • ad-attempts
  • ad-bitrate (Ad Average Bitrate)
  • ad-completed-creative-plays (Ads Completed (% of Ad Impressions))
  • ad-concurrent-plays
  • ad-connection-induced-rebuffering-ratio
  • ad-ended-plays
  • ad-framerate
  • ad-impressions
  • ad-minutes-played (Ad Minutes)
  • ad-percentage-complete
  • ad-rebuffering-ratio
  • ad-slate-duration
  • ad-slate-plays
  • ad-unique-devices
  • ad-video-playback-failures (Ad Playback Failures)
  • ad-video-restart-time
  • ad-video-start-failures (Ad Start Failures)
  • ad-video-start-time (Ad Startup Time)
  • ads-not-started
  • attempts
  • attempts-with-pre-roll
  • attempts-without-pre-roll
  • bad-session (Impacted Streams)
  • bad-session-average-life-playing-time-mins
  • bad-unique-devices
  • bad-unique-viewers
  • bitrate (Avg. Peak Bitrate)
  • cir-related-exits
  • concurrent-plays
  • connection-induced-rebuffering-ratio
  • ended-plays
  • ended-plays-with-ads
  • ended-plays-without-ads
  • exits-before-ad-start
  • exits-before-video-start
  • exits-during-pre-roll
  • framerate (Average Framerate)
  • good-session
  • good-session-average-life-playing-time-mins
  • good-unique-devices
  • good-unique-viewers
  • high-rebuffering
  • high-rebuffering-with-ads
  • high-rebuffering-without-ads
  • high-startup-time
  • high-startup-time-with-pre-roll
  • high-startup-time-without-pre-roll
  • interval-minutes-played (Playing Time (Interval))
  • low-bitrate
  • low-bitrate-with-ads
  • low-bitrate-without-ads
  • minutes-played (Playing Time (total count; per ended play; per unique device))
  • non-zero-cirr-ended-plays (Connection Induced Interrupted Plays)
  • pause-ratio
  • paused-time
  • percentage-complete (Average % Complete)
  • plays
  • rebuffering-ratio
  • spi-streams
  • spi-unique-devices
  • spi-unique-viewers
  • streaming-performance-index
  • unique-devices (Unique Devices with Ended Plays)
  • unique-devices-with-attempts
  • video-playback-failures
  • video-playback-failures-business
  • video-playback-failures-tech
  • video-playback-failures-tech-with-ads
  • video-playback-failures-tech-without-ads
  • video-restart-time
  • video-start-failures
  • video-start-failures-business
  • video-start-failures-tech
  • video-start-failures-tech-with-pre-roll
  • video-start-failures-tech-without-pre-roll
  • video-start-time
  • zero-cirr-ended-plays

Selecting Multiple Metrics in a Request

It is also possible to custom-select multiple singular metrics in one request. Use:

  • the custom-selection endpoint to select up to a maximum of 12 singular metrics in one request.
  • the ?metric query parameter to indicate each singular metric that you want to select.
Copy
GET /3.0/metrics/custom-selection?metric={metric_name_1}&metric={metric_name_2}&metric={metric_name_3}

Example

The following request retrieves data of the attempts, bitrate, and concurrent-plays metrics.

Copy
GET https://api.conviva.com/insights/3.0/metrics/custom-selection?metric=attempts&metric=bitrate&metric=concurrent-plays